package com.bonus.canteen.core.account.vo;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class AccCardDeductionHistVO {
   @ApiModelProperty("扣除记录id")
   private Long deductionId;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("账户类型 1个人钱包 2补贴钱包 4红包")
   private Integer accType;
   @ApiModelProperty("卡号")
   private Integer cardNum;
   @ApiModelProperty("卡序列号")
   private String serialNum;
   @ApiModelProperty("账户总余额")
   private Integer accBal;
   @ApiModelProperty("扣除费用 单位分")
   private Integer deductionCost;
   @ApiModelProperty("记录类型 1-工本费扣除 2-押金扣除")
   private Integer recordType;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private Date crtime;

   public Long getDeductionId() {
      return this.deductionId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustName() {
      return this.custName;
   }

   public Integer getAccType() {
      return this.accType;
   }

   public Integer getCardNum() {
      return this.cardNum;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Integer getAccBal() {
      return this.accBal;
   }

   public Integer getDeductionCost() {
      return this.deductionCost;
   }

   public Integer getRecordType() {
      return this.recordType;
   }

   public String getCrby() {
      return this.crby;
   }

   public Date getCrtime() {
      return this.crtime;
   }

   public void setDeductionId(final Long deductionId) {
      this.deductionId = deductionId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setAccType(final Integer accType) {
      this.accType = accType;
   }

   public void setCardNum(final Integer cardNum) {
      this.cardNum = cardNum;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setAccBal(final Integer accBal) {
      this.accBal = accBal;
   }

   public void setDeductionCost(final Integer deductionCost) {
      this.deductionCost = deductionCost;
   }

   public void setRecordType(final Integer recordType) {
      this.recordType = recordType;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final Date crtime) {
      this.crtime = crtime;
   }


}
